﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// Summary description for TwitterUser
/// </summary>
public class TwitterUser
{
    private Page _page = null;
	public TwitterUser(Page page)
	{
        _page = page;
	}

    public string UserName
    {
        get
        {
            if ( _page.Session["TwitterUserName"] != null )
                return _page.Session["TwitterUserName"].ToString();

            return null;
        }

        set
        {
            _page.Session["TwitterUserName"] = value;
        }
    }

    public string Password
    {
        get
        {
            if ( _page.Session["TwitterPassword"] != null )
                return _page.Session["TwitterPassword"].ToString();

            return null;
        }

        set
        {
            _page.Session["TwitterPassword"] = value;
        }
    }

    public string ID
    {
        get
        {
            if (_page.Session["TwitterID"] != null)
                return _page.Session["TwitterID"].ToString();

            return null;
        }

        set
        {
            _page.Session["TwitterID"] = value;
        }
    }

    public string Image
    {
        get
        {
            if (_page.Session["TwitterImage"] != null)
                return _page.Session["TwitterImage"].ToString();

            return null;
        }

        set
        {
            _page.Session["TwitterImage"] = value;
        }
    }
}
